package com.yd.api.practitioner.vo.organization;

public class PractitionerSubordinateSystemInfo {
    private String idEG;
    private String deptIdEG;
    private Long id;
    private String subordinateSystemCode;
    private String name;
    private String nameEn;
    private Long ownerPractitionerId;
    private String contactName;
    private String contactNo;
    private String remark;
    private Integer isActive;
    private Long createdBy;
    private String createByName;
    private Long updatedBy;
    private String updatedByName;
    private String createdAt;
    private String updatedAt;

    public String getIdEG() {
        return idEG;
    }

    public void setIdEG(String idEG) {
        this.idEG = idEG;
    }

    public String getDeptIdEG() {
        return deptIdEG;
    }

    public void setDeptIdEG(String deptIdEG) {
        this.deptIdEG = deptIdEG;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubordinateSystemCode() {
        return subordinateSystemCode;
    }

    public void setSubordinateSystemCode(String subordinateSystemCode) {
        this.subordinateSystemCode = subordinateSystemCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public Long getOwnerPractitionerId() {
        return ownerPractitionerId;
    }

    public void setOwnerPractitionerId(Long ownerPractitionerId) {
        this.ownerPractitionerId = ownerPractitionerId;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactNo() {
        return contactNo;
    }

    public void setContactNo(String contactNo) {
        this.contactNo = contactNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(String updatedByName) {
        this.updatedByName = updatedByName;
    }
}
